#!/bin/bash

#########################################
echo " set up install pathes";
#########################################

export INSTALL_PATH=$HOME/Install
export INSTALL_CPSP_COREDB=$HOME/CPSP_cores

#########################################
echo " make and install Gecode library";
#########################################

tar -xzf gecode-1.3.0.tar.gz;
cd gecode-1.3.0;
./configure --enable-static --disable-shared --disable-set-vars --disable-examples --prefix=$INSTALL_PATH;
make install;
cd ..;

#########################################
echo " make and install BIU library";
#########################################

tar -xzf biu-1.3.0.tar.gz;
cd biu-1.3.0;
./configure --prefix=$INSTALL_PATH;
make install;
cd ..;

#########################################
echo " make and install CPSP package";
#########################################

tar -xzf cpsp-2.4.4.tar.gz;
cd cpsp-2.4.4;
./configure --enable-static-linking --with-BIU=$INSTALL_PATH --with-gecode=$INSTALL_PATH --prefix=$INSTALL_PATH;
make install;
cd ..;

#########################################
echo " unzip Hcore data and install";
#########################################

mkdir -p $INSTALL_CPSP_COREDB;
tar -xzf CPSP_cores_cub.tar.gz;
mv -f Cubic $INSTALL_CPSP_COREDB;

#########################################
echo " run HPstruct example";
#########################################

$INSTALL_PATH/bin/HPstruct -seq=HPPPHPHHHPPHHHHPHPHHPHPH -lat=CUB -allbest -maxSol=20 -distMode=MOVE -distMin=6 -dbPath=$INSTALL_CPSP_COREDB -normalize

#########################################
echo " all done ...";
#########################################

